Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Analytic Workspace Java API Reference 10g Release 2 (10.2) B14351-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.AWXML
Class AllocationOperator

    java.lang.Object
      |
      +--oracle.AWXML.BaseObject
            |
            +--oracle.AWXML.AllocationOperator

public class AllocationOperator
extends BaseObject

An object that contains an `OperatorType` for an allocation operation; the operator type specifies the method of allocation of data over a hierarchy. An `AllocationOperator` is owned by an `Allocation` object, which is owned by an `AllocationDefinition`.

The following table lists the `OperatorType` values that are valid for an allocation and provides descriptions of them. The default operator type is `EVEN`.

Operator | Description
--- | ---
COPY | Copies the allocation source to all of the target cells that have a basis data value that is not `NA`.
HCOPY | Copies the allocation source to all of the target cells specified by the hierarchy even when the data in any of those cells is `NA`. When the source data is `NA`, then that `NA` value is not allocated to the target cells of that allocation.
MIN | Copies the allocation source to the target that has the smallest basis data value.
MAX | Copies the allocation source to the target that has the largest basis data value.
FIRST | Copies the allocation source to the first target cell that has a non-`NA` basis data value.
HFIRST | Copies the allocation source to the first target cell specified by the hierarchy even when the current data value of that cell is `NA`
LAST | Copies the allocation source to the last target cell that has a non-`NA` basis data value.
HLAST | Copies the allocation source to the last target cell specified by the hierarchy even when the current data value of that cell is `NA`
EVEN | Divides the allocation source by the number of target cells that have non-`NA` basis data values and applies the quotient to each target cell.
HEVEN | Divides the allocation source by the number of target cells, including the ones that have `NA` values, and applies the quotient to each target cell.
PROPORTIONAL | Divides the allocation source by the sum of the data values of the target cells that have non-`NA` basis data values, multiplies the basis data value of each target cell by the quotient, and applies the resulting data to the target cell.

Fields inherited from class oracle.AWXML.BaseObject
`DATABASENULL`

Constructor Summary
`AllocationOperator(BaseObject input)` Creates a new `AllocationOperator` for the specified `Allocation`.

Method Summary
`java.lang.String` | `getOpcode()` Gets the value of the `OperatorType` of the `AllocationOperator`.
`OperatorType` | `getOperatorType()` Gets the `OperatorType` of the `AllocationOperator`.
`static boolean` | `isAllocationOperator(java.lang.String input)` Indicates whether the specified value is a valid allocation operator type.
`void` | `setOpcode(java.lang.String input)` Specifies the value of the `OperatorType` of the `AllocationOperator`.
`void` | `setOperatorType(OperatorType input)` Specifies the `OperatorType` for the `AllocationOperator`, which determines the method of allocation.
`java.lang.String` | `WriteToXML()` Gets an XML representation of the `AllocationOperator`.

Methods inherited from class oracle.AWXML.BaseObject
`Alter, Create, CreateAfter, CreateBefore, CreateFirst, DataRead, Delete, getColumnName, getId, getLongName, getLongName, getName, getOwner, getPluralName, getPluralName, getSchema, getShortName, getShortName, setColumnName, setLongName, setLongName, setName, setPluralName, setPluralName, setSchema, setShortName, setShortName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AllocationOperator

    public AllocationOperator(BaseObject input)

  Creates a new `AllocationOperator` for the specified `Allocation`. The initial value of the `OperatorType` is `EVEN`.
  Parameters:
    `input` - The `Allocation` that you want to own the `AllocationOperator`.

Method Detail

### WriteToXML

    public java.lang.String WriteToXML()

  Gets an XML representation of the `AllocationOperator`.
  Overrides:
    WriteToXML in class BaseObject
  Returns:
    An XML `String` that represents the `AllocationOperator`.

### setOperatorType

    public void setOperatorType(OperatorType input)

  Specifies the `OperatorType` for the `AllocationOperator`, which determines the method of allocation. See the description of this class for the valid values of an `OperatorType`.
  Parameters:
    `input` - The `OperatorType` that you want the `AllocationOperator` to have.

### getOperatorType

    public OperatorType getOperatorType()

  Gets the `OperatorType` of the `AllocationOperator`.
  Returns:
    The `OperatorType` of the `AllocationOperator`.

### getOpcode

    public java.lang.String getOpcode()

  Gets the value of the `OperatorType` of the `AllocationOperator`.
  Returns:
    A `String` that contains the operator type value of the `AllocationOperator`.

### setOpcode

    public void setOpcode(java.lang.String input)

  Specifies the value of the `OperatorType` of the `AllocationOperator`.
  Parameters:
    `input` - A `String` that contains the value that you want the `OperatorType` of the `AllocationOperator` to have.

### isAllocationOperator

    public static boolean isAllocationOperator(java.lang.String input)

  Indicates whether the specified value is a valid allocation operator type.
  Parameters:
    `input` - The allocation operator type.
  Returns:
    A `boolean` that is `true` if the input value is a valid allocation operator type, or `false` if it is not.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Analytic Workspace Java API Reference 10g Release 2 (10.2) B14351-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2005 Oracle. All rights reserved.